/* 
 * File:   SocketException.h
 * Author: mdm
 *
 * Created on April 2, 2010, 12:16 PM
 */

#ifndef _SOCKETEXCEPTION_H
#define	_SOCKETEXCEPTION_H

#include <stdexcept>

class SocketException : public std::exception
{
public:
    SocketException() throw()
    {
        what_msg = "Socket exception default message";
    }
    SocketException(std::string s) throw()
    {
        what_msg = s;
    }
    virtual const char* what() const throw()
    {
        return what_msg.c_str();
    }
    ~SocketException() throw() {}
private:
    std::string what_msg;
};

#endif	/* _SOCKETEXCEPTION_H */

